summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKent Fredric <kentfredric@gmail.com>2009-09-03 00:24:09 +1200
committerKent Fredric <kentfredric@gmail.com>2009-09-03 00:24:09 +1200
commit29688384941f0ef2943e16c3ee43e8e87cccbc11 (patch)
tree5df8056db10eab908bedb7adebee8c42a4538a46 /eclass/perl-module.eclass
parent+LWP-Online-1.07 (diff)
downloadperl-overlay-29688384941f0ef2943e16c3ee43e8e87cccbc11.tar.gz
perl-overlay-29688384941f0ef2943e16c3ee43e8e87cccbc11.tar.bz2
perl-overlay-29688384941f0ef2943e16c3ee43e8e87cccbc11.zip
Tweaked EClass to permit TEST_VERBOSE=1 to enable verbose testing.
Diffstat (limited to 'eclass/perl-module.eclass')
-rw-r--r--eclass/perl-module.eclass3
1 files changed, 2 insertions, 1 deletions
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index cdd8fe028..8a01c4918 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -132,12 +132,13 @@ perl-module_src_compile() {
}
perl-module_src_test() {
+ VERBOSE=${TEST_VERBOSE:-0}
if [[ ${SRC_TEST} == "do" ]] ; then
${perlinfo_done} || perlinfo
if [[ -f Build ]] ; then
./Build test || die "test failed"
elif [[ -f Makefile ]] ; then
- emake test || die "test failed"
+ emake test TEST_VERBOSE=${VERBOSE} || die "test failed"
fi
fi
}